local f = CreateFrame("frame")
f:RegisterEvent("PLAYER_LOGIN")
f:SetScript("OnEvent", function(self,event,...)
	if event == "PLAYER_LOGIN" then
		LoadAddOn("Blizzard_GuildUI")
		GuildRosterViewDropdown:Hide()
		
		local recent
	
		local function Update(self)
			local _,view = strsplit("_", self:GetName())		
		
			SetCVar("guildRosterView", view)
			GuildRoster_SetView(view)
			GuildRoster()
			GuildRoster_Update()
		
			recent:UnlockHighlight()
			self:LockHighlight()
		
			recent = self
		end

		local b1 = CreateFrame("Button", "GRB_playerStatus", GuildRosterFrame, "UIMenuButtonStretchTemplate")
		b1:SetSize(80,18)
		b1:SetText(PLAYER_STATUS)
		b1:SetPoint("TOPRIGHT",-25,-26)
		b1:SetScript("OnClick", Update)

		local b2 = CreateFrame("Button", "GRB_guildStatus", b1, "UIMenuButtonStretchTemplate")
		b2:SetSize(80,18)
		b2:SetText(GUILD_STATUS)
		b2:SetPoint("TOPRIGHT", b1, "TOPLEFT", -2, 0)
		b2:SetScript("OnClick", Update)

		local b3 = CreateFrame("Button", "GDB_weeklyxp", b2, "UIMenuButtonStretchTemplate")
		b3:SetSize(80,18)
		b3:SetText("Weekly XP")
		b3:SetPoint("TOPRIGHT", b2, "TOPLEFT", -2, 0)
		b3:SetScript("OnClick", Update)

		local b4 = CreateFrame("Button", "GRB_tradeskill", b1, "UIMenuButtonStretchTemplate")
		b4:SetSize(80,20)
		b4:SetText(TRADE_SKILLS)
		b4:SetPoint("TOPRIGHT", b1, "BOTTOMRIGHT", 0, -2)
		b4:SetScript("OnClick", Update)

		local b5 = CreateFrame("Button", "GRB_achievement", b2, "UIMenuButtonStretchTemplate")
		b5:SetSize(80,20)
		b5:SetText(ACHIEVEMENTS)
		b5:SetPoint("TOPRIGHT", b2, "BOTTOMRIGHT", 0, -2)
		b5:SetScript("OnClick", Update)

		local b6 = CreateFrame("Button", "GRB_totalxp", b3, "UIMenuButtonStretchTemplate")
		b6:SetSize(80,20)
		b6:SetText("Total XP")
		b6:SetPoint("TOPRIGHT", b3, "BOTTOMRIGHT", 0, -2)
		b6:SetScript("OnClick", Update)
	
		local function OnLoad()
			if GetCVar("guildRosterView") == "0" then
				SetCVar("guildRosterView", "playerStatus")
			end
			recent = _G["GRB_"..GetCVar("guildRosterView")]
			recent:LockHighlight()
		end

		OnLoad()	
	end
end)